Bug 2000406 - Add sysusers_create_compat macro from Fedora
Summary: Add sysusers_create_compat macro from Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 06:16 UTC by Ben Kircher
Modified: 2022-03-11 14:29 UTC (History)
5 users (show)

Fixed In Version: epel-rpm-macros-8-27 epel-rpm-macros-7-35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-11 13:32:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Kircher 2021-09-02 06:16:08 UTC
Kindly asking to add sysusers_create_compat macro from Fedora as per https://fedoraproject.org/wiki/EPEL:Packaging#Scriptlets to EPEL 8.

It's defined in /usr/lib/rpm/macros.d/macros.sysusers and /usr/lib/rpm/sysusers.generate-pre.sh from systemd-rpm-macros package.

dnsmasq and others make use of %sysusers_create_compat macro in pre-inst scriptlets. So it would be super helpful when packaging them in el8 context.

Found this PR against packaging-committee docs: https://pagure.io/packaging-committee/pull-request/981 but nothing really indicates that somebody was working on porting this to EPEL.

Comment 3 Robert Scheck 2022-02-26 21:59:57 UTC
May I ask for the current status? Similar like the bug reporter I would like to simplify my existing packages for EPEL 7 and 8.

Comment 4 Fedora Update System 2022-03-02 21:04:13 UTC
FEDORA-EPEL-2022-b3311854ed has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b3311854ed

Comment 5 Fedora Update System 2022-03-02 21:04:14 UTC
FEDORA-EPEL-2022-b2a2bc29b6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b2a2bc29b6

Comment 6 Fedora Update System 2022-03-03 16:39:15 UTC
FEDORA-EPEL-2022-b3311854ed has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b3311854ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-03-03 16:50:06 UTC
FEDORA-EPEL-2022-b2a2bc29b6 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b2a2bc29b6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-11 13:32:11 UTC
FEDORA-EPEL-2022-b3311854ed has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-03-11 14:29:17 UTC
FEDORA-EPEL-2022-b2a2bc29b6 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.